##
##  rsyslog.conf -- rsyslogd(8) configuration
##

#   templates
$template  traditional,"%timegenerated% %HOSTNAME% %syslogtag%%msg:::drop-last-lf%\n"
$template  precise,"%syslogpriority%,%syslogfacility%,%timegenerated::fulltime%,%HOSTNAME%,%syslogtag%,%msg%\n"
$template  rfc3164fmt,"<%PRI%>%TIMESTAMP% %HOSTNAME% %syslogtag%%msg%"
$template  wallmsg,"\r\n\7Message from syslogd@%HOSTNAME% at %timegenerated% ...\r\n %syslogtag%%msg%\n\r"
$template  db,"insert into SystemEvents (Message, Facility,FromHost, Priority, DeviceReportedTime, ReceivedAt, InfoUnitID, SysLogTag) values ('%msg%', %syslogfacility%, '%HOSTNAME%',%syslogpriority%, '%timereported:::date-mysql%', '%timegenerated:::date-mysql%', %iut%, '%syslogtag%')",sql

#   selectors
*.*        @l_prefix@/var/rsyslog/log//var/log/rsyslog.log;traditional
#*.*       @172.19.2.16;rfc3164fmt
#*.*       >dbhost,dbname,dbuser,dbpasswd;db

